Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.prompt
Class BuddySupport

    java.lang.Object
      org.jdesktop.swingx.prompt.BuddySupport

    public class BuddySupport

extends java.lang.Object

Nested Class Summary
`static class` | `BuddySupport.Position`

Field Summary
`static java.lang.String` | `OUTER_MARGIN`

Constructor Summary
`BuddySupport()`

Method Summary
`static void` | `add(java.awt.Component c, BuddySupport.Position pos, javax.swing.JTextField textField)`
`static void` | `addGap(int width, BuddySupport.Position pos, javax.swing.JTextField textField)`
`static void` | `addLeft(java.awt.Component c, javax.swing.JTextField textField)`
`static void` | `addRight(java.awt.Component c, javax.swing.JTextField textField)`
`static java.awt.Component` | `createGap(int width)` Create a gap to insert between to buddies.
`static void` | `ensureBuddiesAreInComponentHierarchy(javax.swing.JTextField textField)`
`static java.util.List<java.awt.Component>` | `getBuddies(BuddySupport.Position pos, javax.swing.JTextField textField)`
`static java.util.List<java.awt.Component>` | `getLeft(javax.swing.JTextField textField)`
`static java.awt.Insets` | `getOuterMargin(javax.swing.JTextField buddyField)`
`static java.util.List<java.awt.Component>` | `getRight(javax.swing.JTextField textField)`
`static boolean` | `isBuddy(java.awt.Component c, javax.swing.JTextField textField)`
`static void` | `remove(javax.swing.JComponent c, javax.swing.JTextField textField)` Because `BasicTextUI` removes all components when uninstalled and therefore all buddies are removed when the LnF changes.
`static void` | `removeAll(javax.swing.JTextField textField)`
`static void` | `set(java.util.List<java.awt.Component> buddies, BuddySupport.Position pos, javax.swing.JTextField textField)`
`static void` | `setLeft(javax.swing.JTextField textField, java.util.List<java.awt.Component> leftBuddies)`
`static void` | `setOuterMargin(javax.swing.JTextField buddyField, java.awt.Insets margin)`
`static void` | `setRight(javax.swing.JTextField textField, java.util.List<java.awt.Component> rightBuddies)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUTER_MARGIN

    public static final java.lang.String OUTER_MARGIN

See Also:
  Constant Field Values

Constructor Detail

### BuddySupport

    public BuddySupport()

Method Detail

### addLeft

    public static void addLeft(java.awt.Component c,
                               javax.swing.JTextField textField)

### addRight

    public static void addRight(java.awt.Component c,
                                javax.swing.JTextField textField)

### add

    public static void add(java.awt.Component c,
                           BuddySupport.Position pos,
                           javax.swing.JTextField textField)

### addGap

    public static void addGap(int width,
                              BuddySupport.Position pos,
                              javax.swing.JTextField textField)

### setRight

    public static void setRight(javax.swing.JTextField textField,
                                java.util.List<java.awt.Component> rightBuddies)

### setLeft

    public static void setLeft(javax.swing.JTextField textField,
                               java.util.List<java.awt.Component> leftBuddies)

### set

    public static void set(java.util.List<java.awt.Component> buddies,
                           BuddySupport.Position pos,
                           javax.swing.JTextField textField)

### getLeft

    public static java.util.List<java.awt.Component> getLeft(javax.swing.JTextField textField)

### getRight

    public static java.util.List<java.awt.Component> getRight(javax.swing.JTextField textField)

### getBuddies

    public static java.util.List<java.awt.Component> getBuddies(BuddySupport.Position pos,
                                                                javax.swing.JTextField textField)

### isBuddy

    public static boolean isBuddy(java.awt.Component c,
                                  javax.swing.JTextField textField)

### remove

    public static void remove(javax.swing.JComponent c,
                              javax.swing.JTextField textField)

  Because `BasicTextUI` removes all components when uninstalled and therefore all buddies are removed when the LnF changes.

  Parameters:
    `c` -
    `textField` -

### removeAll

    public static void removeAll(javax.swing.JTextField textField)

### setOuterMargin

    public static void setOuterMargin(javax.swing.JTextField buddyField,
                                      java.awt.Insets margin)

### getOuterMargin

    public static java.awt.Insets getOuterMargin(javax.swing.JTextField buddyField)

### ensureBuddiesAreInComponentHierarchy

    public static void ensureBuddiesAreInComponentHierarchy(javax.swing.JTextField textField)

### createGap

    public static java.awt.Component createGap(int width)

  Create a gap to insert between to buddies.

  Parameters:
    `width` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.